import type { Store } from '@liting-yes/vue-repl';

declare interface Props {
    store?: Store;
    autoResize?: boolean;
    clearConsole?: boolean;
    ssr?: boolean;
    code?: string;
    encode?: boolean;
    collapse?: boolean;
    previewBodyStyle?: Partial<CSSStyleDeclaration> | string;
    previewAppStyle?: Partial<CSSStyleDeclaration> | string;
    previewOptions?: {
        headHTML?: string;
        bodyHTML?: string;
        customCode?: {
            importCode?: string;
            useCode?: string;
        };
    };
    importMap?: Record<string, string> | string;
    theme?: 'dark' | 'light';
    hideMessageToggle?: boolean;
    hideMessage?: boolean;
}

declare function vuePreviewPlugin(options?: VuePreviewPluginOptions): {
    name: string;
    transform(code: string, id: string): string;
};
export default vuePreviewPlugin;

declare interface VuePreviewPluginOptions {
    props?: {
        previewBodyStyle?: Props['previewBodyStyle'];
        previewAppStyle?: Props['previewAppStyle'];
        importMap?: Record<string, string>;
        ssr?: boolean;
    };
}

export { }
