/**
 * name: vite-plugin-vue-preview
 * version: v2.0.0
 * description: a vite plugin for vue preview in markdown
 * author: liting <luz.liting@gmail.com>
 * homepage: https://vite-plugin-vue-preview.netlify.app
 */
const start = "```vue preview";
const end = "```";
function getCode(code, options) {
  code = code.match(/(?<=(```vue preview))(.)*(?=(```))/gims)[0].trim();
  const str = encodeURIComponent(code);
  let expandProps = "";
  if (options?.props?.previewBodyStyle)
    expandProps += ` previewBodyStyle="${encodeURIComponent(JSON.stringify(options.props.previewBodyStyle))}"`;
  if (options?.props?.previewAppStyle)
    expandProps += ` previewAppStyle="${encodeURIComponent(JSON.stringify(options.props.previewAppStyle))}"`;
  if (options?.props?.importMap)
    expandProps += ` importMap="${encodeURIComponent(JSON.stringify(options.props.importMap))}"`;
  if (options?.props?.ssr)
    expandProps += " ssr";
  return code.trim() ? `<VuePreview code="${str}" ${expandProps} encode />
` : "<VuePreview />\n";
}
function vuePreviewPlugin(options) {
  return {
    name: "vite-plugin-vue-preview",
    transform(code, id) {
      if (!id.endsWith(".md") || !/```vue preview/i.test(code))
        return code;
      let startIndex, endIndex;
      while (/```vue preview/.test(code)) {
        startIndex = code.indexOf(start);
        endIndex = code.indexOf(end, startIndex + 1);
        const str = code.slice(startIndex, endIndex + 3);
        code = code.replace(str, getCode(str, options));
      }
      return code;
    }
  };
}

export { vuePreviewPlugin as default };
