import type { AllowedComponentProps } from 'vue';
import type { ComponentCustomProps } from 'vue';
import type { ComponentOptionsMixin } from 'vue';
import type { DefineComponent } from 'vue';
import type { ExtractPropTypes } from 'vue';
import type { PropType } from 'vue';
import { ReplStore } from '@liting-yes/vue-repl';
import type { Store } from '@liting-yes/vue-repl';
import type { VNodeProps } from 'vue';

export declare interface Props {
    store?: Store;
    autoResize?: boolean;
    clearConsole?: boolean;
    ssr?: boolean;
    code?: string;
    encode?: boolean;
    collapse?: boolean;
    previewBodyStyle?: Partial<CSSStyleDeclaration> | string;
    previewAppStyle?: Partial<CSSStyleDeclaration> | string;
    previewOptions?: {
        headHTML?: string;
        bodyHTML?: string;
        customCode?: {
            importCode?: string;
            useCode?: string;
        };
    };
    importMap?: Record<string, string> | string;
    theme?: 'dark' | 'light';
    hideMessageToggle?: boolean;
    hideMessage?: boolean;
}

declare const _sfc_main: DefineComponent<{
    store: {
        type: PropType<Store | undefined>;
        required: false;
        default: () => ReplStore;
    };
    autoResize: {
        type: PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    clearConsole: {
        type: PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    ssr: {
        type: PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    code: {
        type: PropType<string | undefined>;
        required: false;
    };
    encode: {
        type: PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    collapse: {
        type: PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    previewBodyStyle: {
        type: PropType<string | Partial<CSSStyleDeclaration> | undefined>;
        required: false;
    };
    previewAppStyle: {
        type: PropType<string | Partial<CSSStyleDeclaration> | undefined>;
        required: false;
    };
    previewOptions: {
        type: PropType<{
            headHTML?: string;
            bodyHTML?: string;
            customCode?: {
                importCode?: string;
                useCode?: string;
            };
        } | undefined>;
        required: false;
        default: () => {
            headHTML: string;
            bodyHTML: string;
            customCode: {
                importCode: string;
                useCode: string;
            };
        };
    };
    importMap: {
        type: PropType<string | Record<string, string> | undefined>;
        required: false;
    };
    theme: {
        type: PropType<"dark" | "light" | undefined>;
        required: false;
    };
    hideMessageToggle: {
        type: PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    hideMessage: {
        type: PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
}, {}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
    store: {
        type: PropType<Store | undefined>;
        required: false;
        default: () => ReplStore;
    };
    autoResize: {
        type: PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    clearConsole: {
        type: PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    ssr: {
        type: PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    code: {
        type: PropType<string | undefined>;
        required: false;
    };
    encode: {
        type: PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    collapse: {
        type: PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    previewBodyStyle: {
        type: PropType<string | Partial<CSSStyleDeclaration> | undefined>;
        required: false;
    };
    previewAppStyle: {
        type: PropType<string | Partial<CSSStyleDeclaration> | undefined>;
        required: false;
    };
    previewOptions: {
        type: PropType<{
            headHTML?: string;
            bodyHTML?: string;
            customCode?: {
                importCode?: string;
                useCode?: string;
            };
        } | undefined>;
        required: false;
        default: () => {
            headHTML: string;
            bodyHTML: string;
            customCode: {
                importCode: string;
                useCode: string;
            };
        };
    };
    importMap: {
        type: PropType<string | Record<string, string> | undefined>;
        required: false;
    };
    theme: {
        type: PropType<"dark" | "light" | undefined>;
        required: false;
    };
    hideMessageToggle: {
        type: PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    hideMessage: {
        type: PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
}>>, {
    store: Store | undefined;
    autoResize: boolean | undefined;
    clearConsole: boolean | undefined;
    ssr: boolean | undefined;
    encode: boolean | undefined;
    collapse: boolean | undefined;
    previewOptions: {
        headHTML?: string;
        bodyHTML?: string;
        customCode?: {
            importCode?: string;
            useCode?: string;
        };
    } | undefined;
    hideMessageToggle: boolean | undefined;
    hideMessage: boolean | undefined;
}, {}>;
export default _sfc_main;

export { }
